import axios from "@/utils/axios";
// 新系统文件新接口
export default {
    //添加查新检索报告
    addNoveltyProject(data){
        return axios.post('/xiaoshi/noveltyProject/addNoveltyProject', data)
    },
    //编辑查新检索报告
    updateNoveltyProject(data){
        return axios.post('/xiaoshi/noveltyProject/updateNoveltyProject', data)
    },
    //查询查新检索报告
    queryNoveltyProject(data){
        return axios.post('/xiaoshi/noveltyProject/queryNoveltyProject', data)
    },
    //删除查新检索报告
    deleteNoveltyProject(data){
        return axios.post('/xiaoshi/noveltyProject/deleteNoveltyProject', data)
    },

    //添加或编辑技术方案信息
    addOrUpdateTechnicalCase(data){
        return axios.post('/xiaoshi/noveltyProject/addOrUpdateTechnicalCase', data)
    },
    //查询技术方案信息
    queryTechnicalCase(data){
        return axios.post('/xiaoshi/noveltyProject/queryTechnicalCase', data)
    },

    //查询查新报告对比专利
    queryComparePatent(data){
        return axios.post('/xiaoshi/noveltyProject/queryNoveltyCompareLiterature', data)
    },
    //修改查新报告对比专利内容
    editCompareFile(data){
        return axios.post('/xiaoshi/noveltyProject/editCompareFile', data)
    },
    //修改查新报告对比专利单个栏位数据
    editCompareFileByProjectId(data){
        return axios.post('/xiaoshi/noveltyProject/editCompareFileByProjectId', data)
    },
    //删除对比文件
    delCompareFile(data){
        return axios.post('/xiaoshi/noveltyProject/delCompareFile', data)
    },

    //标注
    //添加或者编辑标注
    editNoveltyMark(data){
        return axios.post('/xiaoshi/noveltyMark/edit', data)
    },

    //对比记录
    //添加或编辑对比记录
    editNoveltyCompareRecord(data){
        return axios.post('/xiaoshi/noveltyCompareRecord/edit', data)
    },
    //查询对比记录
    queryNoveltyCompareRecord(data){
        return axios.post('/xiaoshi/noveltyCompareRecord/queryCompareRecord', data)
    },
    //删除对比记录
    removeNoveltyCompareRecord(data){
        return axios.post('/xiaoshi/noveltyCompareRecord/remove', data)
    },


    //检索记录
    //添加检索记录
    addNoveltySearchRecord(data){
        return axios.post('/xiaoshi/noveltyProject/addSearchRecord', data)
    },
    //编辑检索记录
    updateNoveltySearchRecord(data){
        return axios.post('/xiaoshi/noveltyProject/updateSearchRecord', data)
    },
    //查询检索记录
    queryNoveltySearchRecord(data){
        return axios.post('/xiaoshi/noveltyProject/querySearchRecord', data)
    },
    //删除检索记录
    deleteNoveltySearchRecord(data){
        return axios.post('/xiaoshi/noveltyProject/deleteSearchRecord', data)
    },

    //根据发明点查询相似技术方案
    querySimilarInventionPoint(data){
        return axios.post('/xiaoshi/noveltyProject/querySimilarInventionPoint', data)
    },

    //查询查新检索报告模版
    queryNoveltyTemplate(data){
        return axios.post('/xiaoshi/noveltyProject/queryTemplate', data)
    },

    //报告文档
    //生成查新检索报告文档
    exportNoveltyReport(params){
        return axios.get('/xiaoshi/noveltyReportReference/export', {params})
    },
    //删除查新检索报告文档
    deleteNoveltyReport(data){
        return axios.post('/xiaoshi/noveltyReportReference/delete', data)
    },
    //查询查新检索报告文档
    queryNoveltyReport(data){
        return axios.post('/xiaoshi/noveltyReportReference/query', data)
    },
    //保存查新检索报告文档数据
    editNoveltyReport(data){
        return axios.post('/xiaoshi/noveltyReportReference/edit', data)
    },

    //复用查新检索报告结果
    copyNoveltyMessage(data){
        return axios.post('/xiaoshi/noveltyProject/copyMessage', data)
    },
};
